Bug 238234 - postscript print does not work in emacs-22.0.95-1.fc7
postscript print does not work in emacs-22.0.95-1.fc7
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 23:47 EDT by Paul Johnson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 13:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for emacs 22 in FC7's version of ps-print.el (239.27 KB, text/x-emacs-lisp)
2007-04-27 23:47 EDT, Paul Johnson
no flags Details

  None (edit)
Description Paul Johnson 2007-04-27 23:47:14 EDT
Description of problem: choosing postscript print in the file menu does nothing


Version-Release number of selected component (if applicable):
emacs-22.0.95-1.fc7

How reproducible: always


Steps to Reproduce:
1. use postscript print
2.
3.
  
Actual results:


Expected results:


Additional info:

I learned that this is a known problem in the emacs email list and that a fixed
version of ps-print.el is available.  I'm attaching that copy, which I believe
is "6.7.3". After replacing ps-print.elc, then post script printing does work.
I'm very sorry, I lost the URL of the thread where I was reading about this, but
it was very recent--I believe late February 2007.
Comment 1 Paul Johnson 2007-04-27 23:47:14 EDT
Created attachment 153681 [details]
fix for emacs 22 in FC7's version of ps-print.el
Comment 2 Paul Johnson 2007-04-28 00:04:30 EDT
I found the place where I learned about this fix.  

http://lists.debian.org/debian-qa-packages/2007/03/msg00083.html

Also I forgot to mention that in the Emacs status bar, the error message I see
when I try to use ps print is "ps-mule-begin-job: Symbol's value as variable is
void: ps-lf-cache"
Comment 3 Chip Coldwell 2007-04-30 09:36:42 EDT
We're about to get emacs 22.1 (they've released pretest 22.0.99) and I think
it's likely that will include this fix.  When I release the updated package,
I'll verify that it does and if so close this bug.

Chip
Comment 4 Paul Johnson 2007-05-22 15:53:47 EDT
Please hurry with the update before FC7 is released.  Or apply the patch
suggested above. If Emacs does not print in a major distribution like Fedora, it
will be really bad. 
Comment 5 Chip Coldwell 2007-05-22 16:40:56 EDT
Eeek.  Well we were all preoccupied with bug 239344, which I think you'll agree
was more serious.  I'll try to get blocker status for this one, otherwise it
will have to slip until an update.

Chip
Comment 6 Chip Coldwell 2007-05-23 13:30:01 EDT
Good news; release engineering was receptive to my pleadings and have moved
emacs-22.0.990-2 into F-7.  This is based on the emacs-22.0.990 pretest tarball,
which has the fixed ps-print.el code.

I am closing the bug.

Chip

Note You need to log in before you can comment on or make changes to this bug.